#include "sphere.h"
#include "rts/optics/material.h"
#include <vector>
//#include "rts/complex.h"

#include "nearfield.h"
//nearfieldStruct* NF;

#include "microscope.h"
microscopeStruct* SCOPE;

#include "fieldslice.h"

#include "fileout.h"
#include "options.h"
#include "montecarlo.h"
#include "rts/math/point.h"
#include "rts/math/spherical_bessel.h"
#include "rts/math/matrix.h"
#include "rts/math/quaternion.h"

#include "rts/envi/envi.h"

#include "warnings.h"

fileoutStruct gFileOut;
bool verbose = false;
using namespace std;

int cbessjyva(double v,complex<double> z,double &vm,complex<double>*cjv,
    complex<double>*cyv,complex<double>*cjvp,complex<double>*cyvp);

int main(int argc, char *argv[])
{

	SCOPE = new microscopeStruct();

    LoadParameters(argc, argv);

	//initialize GPU memory for fields
	SCOPE->init();

	gFileOut.Save(SCOPE);

	if(verbose)
        OutputOptions();

	SCOPE->destroy();




}
